Error log:
Ensuring Jack server is installed and started
FAILED: setup-jack-server
/bin/bash -c "(prebuilts/sdk/tools/jack-admin install-server prebuilts/sdk/tools/jack-launcher.jar prebuilts/sdk/tools/jack-server-4.11.ALPHA.jar 2>&1 || (exit 0) ) && (JACK_SERVER_VM_ARGUMENTS=\"-Dfile.encoding=UTF-8 -XX:+TieredCompilation\" prebuilts/sdk/tools/jack-admin start-server 2>&1 ||
exit 0 ) && (prebuilts/sdk/tools/jack-admin update server prebuilts/sdk/tools/jack-server-4.11.ALPHA.jar 4.11.ALPHA 2>&1 || exit 0 ) && (prebuilts/sdk/tools/jack-admin update jack prebuilts/sdk/tools/jacks/jack-4.32.CANDIDATE.jar 4.32.CANDIDATE || exit 47 )"
Jack server already installed in "~/.jack-server"
Launching Jack server java -XX:MaxJavaStackTraceDepth=-1 -Djava.io.tmpdir=/tmp -Dfile.encoding=UTF-8 -XX:+TieredCompilation -cp ~/.jack-server/launcher.jar com.android.jack.launcher.ServerLauncher
Jack server failed to (re)start, try 'jack-diagnose' or see Jack server log
SSL error when connecting to the Jack server. Try 'jack-diagnose'
SSL error when connecting to the Jack server. Try 'jack-diagnose'
ninja: build stopped: subcommand failed.
10:11:50 ninja failed with: exit status 1
Problems caused by JDK automatic upgrade
Method 1:
Delete tlsv1 and tlsv1.1 under jdk.tls.disabledalgorithms in/etc/java-8-openjdk/security/java.security
Then install Jack again ( Jack needs to modify the port number after unloading and reloading)
It needs to be implemented
mmm prebuilts/sdk/tools/
jack-admin uninstall-server & amp;& amp; jack-admin kill-server
make setup-jack-server
Method 2:
diff --git a/prebuilts/sdk/tools/jack b/prebuilts/sdk/tools/jack
index ae291f4..16eb180 100755
--- a/prebuilts/sdk/tools/jack
+++ b/prebuilts/sdk/tools/jack
@@ -134,7 +134,7 @@ HTTP_CODE=$(curl -f $JACK_EXTRA_CURL_OPTIONS \
-F "version=$JACK_VERSION;type=application/vnd.jack.select-exact;version=1" \
-F "pwd=$JACK_PWD;type=text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_SERVICE/jack \
+ http://${SERVER_HOST}:$SERVER_PORT_SERVICE/jack \
)
CURL_CODE=$?
diff --git a/prebuilts/sdk/tools/jack-admin b/prebuilts/sdk/tools/jack-admin
index ee193fc..c964bc5 100755
--- a/prebuilts/sdk/tools/jack-admin
+++ b/prebuilts/sdk/tools/jack-admin
@@ -136,7 +136,7 @@ updateProgram () {
-F "jar=@$2;type=application/octet-stream" \
-F "force=$FORCE_INSTALLATION;type=text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/$1 \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/$1 \
)
handleHttpErrors $?$HTTP_CODE
@@ -159,7 +159,7 @@ isServerRunning () {
-X GET \
-H "Accept: text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/server \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/server \
)
CURL_CODE=$?
if [ $CURL_CODE -eq 0 ]; then
@@ -196,7 +196,7 @@ waitServerStarted () {
-X GET \
-H "Accept: text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/server \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/server \
)
CURL_CODE=$?
if [ $CURL_CODE -eq 7 ] || [ $CURL_CODE -eq 35 ] || [ $CURL_CODE -eq 58 ] || [ $CURL_CODE -eq 60 ] || [ $CURL_CODE -eq 77 ]; then
@@ -226,7 +226,7 @@ listProgramVersion () {
-X GET \
-H "Accept: text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/$1 \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/$1 \
)
handleHttpErrors $?$HTTP_CODE
exec 3>&-
@@ -336,7 +336,7 @@ case $COMMAND in
--data "$4" \
-H "Content-Type:application/vnd.jack.select-exact;version=1" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/$2 \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/$2 \
)
CURL_CODE=$?
if [ $CURL_CODE -eq 22 ]; then
@@ -365,7 +365,7 @@ case $COMMAND in
--no-buffer --write-out '%{http_code}' --silent --connect-timeout $JACK_CONNECTION_TIMEOUT \
-X POST \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/server/stop \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/server/stop \
)
handleHttpErrors $?$HTTP_CODE ;;
@@ -382,7 +382,7 @@ case $COMMAND in
-X GET \
-H "Accept: text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/stat \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/stat \
)
handleHttpErrors $?$HTTP_CODE
exec 3>&- ;;
@@ -398,7 +398,7 @@ case $COMMAND in
-X GET \
-H "Accept: text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/launcher/log \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/launcher/log \
)
handleHttpErrors $?$HTTP_CODE
exec 3>&- ;;
@@ -500,7 +500,7 @@ case $COMMAND in
--form "limit=$LIMIT;type=text/plain$CHARSET_ARGUMENT" \
--form "count=$COUNT;type=text/plain$CHARSET_ARGUMENT" \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/launcher/log/level \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/launcher/log/level \
)
handleHttpErrors $?$HTTP_CODE ;;
@@ -515,7 +515,7 @@ case $COMMAND in
--no-buffer --write-out '%{http_code}' --silent --connect-timeout $JACK_CONNECTION_TIMEOUT \
-X POST \
--noproxy ${SERVER_HOST} \
- https://${SERVER_HOST}:$SERVER_PORT_ADMIN/gc \
+ http://${SERVER_HOST}:$SERVER_PORT_ADMIN/gc \
)
handleHttpErrors $?$HTTP_CODE ;;
diff --git a/prebuilts/sdk/tools/jack-server-3.0.ENGINEERING.jar b/prebuilts/sdk/tools/jack-server-3.0.ENGINEERING.jar
new file mode 100755
index 0000000..551073f
Binary files /dev/null and b/prebuilts/sdk/tools/jack-server-3.0.ENGINEERING.jar differ
diff --git a/prebuilts/sdk/tools/jack_server_setup.mk b/prebuilts/sdk/tools/jack_server_setup.mk
old mode 100644
new mode 100755
index fd6a134..a2b6714
--- a/prebuilts/sdk/tools/jack_server_setup.mk
+++ b/prebuilts/sdk/tools/jack_server_setup.mk
@@ -15,7 +15,8 @@
#
LOCAL_PATH:= $(call my-dir)
-jack_server_version := 4.8.ALPHA
+#jack_server_version := 4.8.ALPHA
+jack_server_version := 3.0.ENGINEERING
jack_server_jar := $(LOCAL_PATH)/jack-server-$(jack_server_version).jar
Then reinstall jack (you need to change the port number after jack uninstall and reinstall)
You need to execute
mmm prebuilts/sdk/tools/
jack-admin uninstall-server && jack-admin kill-server
make setup-jack-server
Read More:
- Ubuntu20.04 install the ROS noetic version in catkin_Problems in make compilation
- [Solved] Ubuntu conda ProxyError: Conda cannot proceed due to an error in your proxy configuration
- [Solved] Any Softwares Install Error in Ubuntu: /usr/bin/dpkg returned an error code
- When installing software in Ubuntu, it prompts: E: You don’t have enough free space in /var/cache/apt/archives/.
- Ubuntu18.04 Compile Error: android 7 FAILED [How to Solve]
- How to Solve labelme Install Error in Ubuntu
- Ubuntu: How to deal with the fatal: the remote end hung up unexpected error of GIT clone Android kernel
- [Solved] websocket: the client is not using the websocket protocol: ‘upgrade’ token not found in ‘Connection’ head
- Ubuntu found an error during apt operation [How to Solve]
- [Solved] Ubuntu20.04 Error: “Failed to install the following Android SDK packages as some licences have not..“error
- The solution of insufficient disk space of docker in Ubuntu
- Error in compiling Android AOSP by Ubantu [How to Solve]
- How to Solve Xmind Install Error in Ubuntu System
- mysqlclient in Ubuntu: How to Solve mysqlclient Install Error
- [problem solving] the problem of err returned non zero status 1 or status 2 is solved after upgrading python3 in Ubuntu
- [Solved] spdlog reports an error After updating Ubuntu 22.04
- [Solved] Ubuntu Error: Error in the certificate verification
- [Solved] ubuntu makefile Cross-compilation error: file not recognized: file format not recognized
- Ubuntu sub process/usr/bin/dpkg returned an error code (1) solution
- An error occurred during the signature verification in the ROS function pack warehouse